KDE 4.7 PyKDE API Reference

- KDE's Python API

# RuleSet Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano.Inference

## Detailed Description

\class RuleSet inferenceruleset.h Soprano/Inference/RuleSet

A set of inference rules.

RuleSet represents a set of inference rules. Each Rule has a unique name.

Author:
  Sebastian Trueg <trueg@kde.org>

## Methods
| __init__ (self)
| __init__ (self, Soprano.Inference.RuleSet a0)
[Soprano.Inference.Rule] | allRules (self)
Soprano.Inference.Rule | at (self, int index)
| clear (self)
int | count (self)
| insert (self, QString name, Soprano.Inference.Rule rule)
Soprano.Inference.Rule | operator [] (self, int index)
Soprano.Inference.Rule | operator [] (self, QString name)
Soprano.Inference.Rule | rule (self, QString name)
QStringList | ruleNames (self)
## Static Methods
Soprano.Inference.RuleSet | standardRuleSet (Soprano.Inference.StandardRuleSet a0)

## Method Documentation

__init__ | ( |  | self ) |

Copy constructor.

__init__ | ( | self, |
|  | Soprano.Inference.RuleSet | a0
| ) |  |  |

Copy constructor.

[Soprano.Inference.Rule] allRules | ( |  | self ) |

Soprano.Inference.Rule at | ( | self, |
|  | int | index
| ) |  |  |

clear | ( |  | self ) |

int count | ( |  | self ) |

Number of rules in the set.

Returns:
  The number of rules.

insert | ( | self, |
|  | QString | name,
|  | Soprano.Inference.Rule | rule
| ) |  |  |

Add a Rule to the set.

Parameters:

  | name | The name the new rule is supposed to be stored under.

Parameters:

  | rule | The new rule to store in the set.

Soprano.Inference.Rule operator [] | ( | self, |
|  | int | index
| ) |  |  |

Soprano.Inference.Rule operator [] | ( | self, |
|  | QString | name
| ) |  |  |

Soprano.Inference.Rule rule | ( | self, |
|  | QString | name
| ) |  |  |

QStringList ruleNames | ( |  | self ) |

## Static Method Documentation

Soprano.Inference.RuleSet standardRuleSet | ( | Soprano.Inference.StandardRuleSet | a0
| ) |  |  |

Read a standard %Soprano rulset.

\sa RuleParser